functional_hash.h File Reference

Go to the source code of this file.

## Classes

struct | std::hash< _Tp >
struct | std::hash< _Tp * >
struct | std::hash< bool >
struct | std::hash< char >
struct | std::hash< char16_t >
struct | std::hash< char32_t >
struct | std::hash< double >
struct | std::hash< float >
struct | std::hash< int >
struct | std::hash< long >
struct | std::hash< long double >
struct | std::hash< long long >
struct | std::hash< short >
struct | std::hash< signed char >
struct | std::hash< unsigned char >
struct | std::hash< unsigned int >
struct | std::hash< unsigned long >
struct | std::hash< unsigned long long >
struct | std::hash< unsigned short >
struct | std::hash< wchar_t >

## Namespaces

namespace | std

## Macros

#define | _Cxx_hashtable_define_trivial_hash(_Tp)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <functional>.

Definition in file functional_hash.h.